## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationDataFetch

### Authentication::ezcAuthenticationDataFetch

### Interface ezcAuthenticationDataFetch

Interface defining functionality for fetching extra data during the authentication process.

Authentication filters which support fetching additional data during the authentication process can implement this interface.

Source for this file: /Authentication/src/interfaces/data_fetch.php

Version: | //autogen//

### Method Summary

public array(string=>mixed) | `fetchData( )` Returns the extra data fetched during the authentication process.
public void | `registerFetchData( [ $data = array()] )` Registers which extra data to fetch during the authentication process.

### Methods

#### fetchData

array(string=>mixed) fetchData( )

Returns the extra data fetched during the authentication process.

The return is something like this:

1. array('name'= >array('Dr. No'),
2. 'company'=>array('SPECTRE'),
3. 'mobile'=>array('555-7732873')
4. );

The extra data that is possible to return depends on the authentication filter. Please read the description of each filter to find out what extra data is possible to fetch.

#### registerFetchData

void registerFetchData( [ $data = array()] )

Registers which extra data to fetch during the authentication process.

The input $data should be an array of attributes to request, for example:

1. array('name','company','mobile');

The extra data that is possible to return depends on the authentication filter. Please read the description of each filter to find out what extra data is possible to fetch.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | array(string) | A list of attributes to fetch during authentication

Documentation generated by phpDocumentor 1.4.3